upsertShipment
WRITEUpsert shipment.
POST /api/v1/inventory/upsertShipment
curl -X POST '<your-host>/api/v1/inventory/upsertShipment' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"sourceDocumentId": "string",
"shipmentId": "string",
"_operation": "create"
}'Response
{
"id": "string"
}Parameters
ParameterType
Required. 'create' inserts a new record, 'update' modifies the existing record with this id.
"create""update"
min length 1
"Sales Order""Sales Return Order""Purchase Order""Purchase Return Order""Outbound Transfer"
Input schema
schema
{
"type": "object",
"properties": {
"locationId": {
"type": "string"
},
"sourceDocument": {
"type": "string",
"enum": [
"Sales Order",
"Sales Return Order",
"Purchase Order",
"Purchase Return Order",
"Outbound Transfer"
]
},
"sourceDocumentId": {
"type": "string",
"minLength": 1
},
"trackingNumber": {
"type": "string"
},
"shippingMethodId": {
"type": "string"
},
"sourceDocumentReadableId": {
"type": "string"
},
"customerId": {
"type": "string"
},
"shipmentId": {
"type": "string"
},
"customFields": {},
"id": {
"type": "string"
},
"_operation": {
"type": "string",
"enum": [
"create",
"update"
],
"description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
}
},
"required": [
"sourceDocumentId",
"shipmentId",
"_operation"
]
}